#include <bits/stdc++.h>

using namespace std;

int main()
{
    cin.tie(0);
    ios_base::sync_with_stdio(false);
    int n;
    cin >> n;
    vector<int> a(n);
    vector<int> uljezi(n);
    int prvi;
    bool uljez = false;
    for(int i = 0; i < n; i++){
        cin >> a[i];

    }
    if(a[0] > a[1]){
        uljezi[0] = 1;
    }
    for(int i = 1; i < n-1; i++){
        uljezi[i] = uljezi[i-1];
        if (a[i] > a[i-1] && a[i] > a[i+1]){
            uljezi[i]++;
            uljez = true;
        }
    }
    uljezi[n-1] = uljezi[n];
    if(a[n] < a[n-1]){
        uljezi[n]++;
    }
    int q;
    cin >> q;
    int l, r;
    for(int i = 0; i < q; i++){
        cin >> l >> r;
        if(l == 1){
            l = 2;
        }
        if(r == 1){
            r = 2;
        }
        if(uljezi[r-2] - uljezi[l-2] > 1){
            cout << "NE" << endl;
        }else{
            cout << "DA" << endl;
        }
    }

    return 0;
}